### Method

# Soup Server set_tls_certificate

#### Declaration [src]

    void
    soup_server_set_tls_certificate (
      SoupServer* server,
      GTlsCertificate* certificate
    )

#### Description [src]

Sets `server` up to do https, using the given SSL/TLS `certificate`.

Sets property | `Soup.Server:tls-certificate`

#### Parameters

`certificate` | `GTlsCertificate`
| A `GTlsCertificate`.
| The data is owned by the caller of the function.